// Garden Gnome Software - Skin
// Pano2VR pro 4.5beta2/10512
// Filename: skin.ggsk
// Generated Thu Apr 17 11:09:57 2014

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._rectangle_10=document.createElement('div');
		this._rectangle_10.ggId="Rectangle 1";
		this._rectangle_10.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_10.ggVisible=true;
		this._rectangle_10.className='ggskin ggskin_rectangle';
		this._rectangle_10.ggType='rectangle';
		this._rectangle_10.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-26 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-38 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -26px;';
		hs+='top:  -38px;';
		hs+='width: 31px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._rectangle_10.setAttribute('style',hs);
		this._rectangle_10.onclick=function () {
			me._popup.style[domTransition]='none';
			me._popup.style.visibility='inherit';
			me._popup.ggVisible=true;
			me._text_1.ggText="<iframe width=\"480\" height=\"320\" frameborder=\"0\" allowFullScreen webkitallowfullscreen mozallowfullscreen src=\"https:\/\/sketchfab.com\/models\/56b52a46c0fc445c9cb28d8d7ab9cd40\/embed\"><\/iframe>\n";
			me._text_1.innerHTML=me._text_1.ggText;
			if (me._text_1.ggUpdateText) {
				me._text_1.ggUpdateText=function() {
					var hs="<iframe width=\"480\" height=\"320\" frameborder=\"0\" allowFullScreen webkitallowfullscreen mozallowfullscreen src=\"https:\/\/sketchfab.com\/models\/56b52a46c0fc445c9cb28d8d7ab9cd40\/embed\"><\/iframe>\n";
					if (hs!=me._text_1.ggText) {
						me._text_1.ggText=hs;
						me._text_1.innerHTML=hs;
					}
				}
			}
		}
		this.divSkin.appendChild(this._rectangle_10);
		this._popup=document.createElement('div');
		this._popup.ggId="popup";
		this._popup.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._popup.ggVisible=false;
		this._popup.className='ggskin ggskin_rectangle';
		this._popup.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 51px;';
		hs+='top:  56px;';
		hs+='width: 499px;';
		hs+='height: 339px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='background: #000000;';
		hs+='background: rgba(0,0,0,0.470588);';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._popup.setAttribute('style',hs);
		this._text_1=document.createElement('div');
		this._text_1__text=document.createElement('div');
		this._text_1.className='ggskin ggskin_textdiv';
		this._text_1.ggTextDiv=this._text_1__text;
		this._text_1.ggId="Text 1";
		this._text_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_1.ggVisible=true;
		this._text_1.className='ggskin ggskin_text';
		this._text_1.ggType='text';
		this._text_1.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.style.width=this.ggTextDiv.offsetWidth + 'px';
			this.style.height=this.ggTextDiv.offsetHeight + 'px';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-242 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-162 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -241px;';
		hs+='top:  -161px;';
		hs+='width: 477px;';
		hs+='height: 319px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._text_1.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 477px;';
		hs+='height: 319px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_1__text.setAttribute('style',hs);
		this._text_1__text.innerHTML="";
		this._text_1.appendChild(this._text_1__text);
		this._popup.appendChild(this._text_1);
		this._rectangle_2=document.createElement('div');
		this._rectangle_2.ggId="Rectangle 2";
		this._rectangle_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_2.ggVisible=true;
		this._rectangle_2.className='ggskin ggskin_rectangle';
		this._rectangle_2.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 493px;';
		hs+='top:  -21px;';
		hs+='width: 28px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ff0000;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._rectangle_2.setAttribute('style',hs);
		this._rectangle_2.onclick=function () {
			me._popup.style[domTransition]='none';
			me._popup.style.visibility='hidden';
			me._popup.ggVisible=false;
		}
		this._popup.appendChild(this._rectangle_2);
		this.divSkin.appendChild(this._popup);
		this._rectangle_1=document.createElement('div');
		this._rectangle_1.ggId="Rectangle 1";
		this._rectangle_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_1.ggVisible=true;
		this._rectangle_1.className='ggskin ggskin_rectangle';
		this._rectangle_1.ggType='rectangle';
		this._rectangle_1.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(19 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-38 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 19px;';
		hs+='top:  -38px;';
		hs+='width: 31px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._rectangle_1.setAttribute('style',hs);
		this._rectangle_1.onclick=function () {
			me._popup.style[domTransition]='none';
			me._popup.style.visibility='inherit';
			me._popup.ggVisible=true;
			me._text_1.ggText="<iframe width=\"480\" height=\"320\" frameborder=\"0\" allowFullScreen webkitallowfullscreen mozallowfullscreen src=\"https:\/\/sketchfab.com\/models\/ea20532b4d4c42fc8ca540ca45b682a0\/embed\"><\/iframe>\n";
			me._text_1.innerHTML=me._text_1.ggText;
			if (me._text_1.ggUpdateText) {
				me._text_1.ggUpdateText=function() {
					var hs="<iframe width=\"480\" height=\"320\" frameborder=\"0\" allowFullScreen webkitallowfullscreen mozallowfullscreen src=\"https:\/\/sketchfab.com\/models\/ea20532b4d4c42fc8ca540ca45b682a0\/embed\"><\/iframe>\n";
					if (hs!=me._text_1.ggText) {
						me._text_1.ggText=hs;
						me._text_1.innerHTML=hs;
					}
				}
			}
		}
		this.divSkin.appendChild(this._rectangle_1);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};